Bug 468990 - (CVE-2008-6218) CVE-2008-6218 libpng: "png_handle_tEXt()" memory leak vulnerability - DoS (memory exhaustion) via a crafted PNG file.
CVE-2008-6218 libpng: "png_handle_tEXt()" memory leak vulnerability - DoS (me...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=gentoo,reported=20081028,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 07:54 EDT by Tomas Hoger
Modified: 2016-03-04 06:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-19 18:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-29 07:54:25 EDT
Secunia reports in SA32418:

  A vulnerability has been reported in libpng, which can be exploited by
  malicious people to cause a DoS (Denial of Service).

  The vulnerability is caused due to a memory leak error within the
  "png_handle_tEXt()" function in pngrutil.c. This can be exploited to
  potentially exhaust all available memory via a specially crafted PNG image.

  The vulnerability is reported in version 1.2.32. Other versions may also be
  affected.

  Solution:
  Fixed in version 1.2.33rc02.

References:
http://secunia.com/advisories/32418/
http://sourceforge.net/project/shownotes.php?release_id=635463&group_id=5624
http://bugs.gentoo.org/show_bug.cgi?id=244808
Comment 2 Fedora Update System 2008-10-31 13:13:29 EDT
libpng10-1.0.41-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libpng10-1.0.41-1.fc9
Comment 3 Fedora Update System 2008-10-31 13:14:27 EDT
libpng10-1.0.41-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/libpng10-1.0.41-1.fc8
Comment 4 Paul Howarth 2008-10-31 13:16:26 EDT
Fedora 10 build of libpng10 1.0.41 submitted for inclusion in F10 Final:

https://fedorahosted.org/rel-eng/ticket/944

http://koji.fedoraproject.org/koji/taskinfo?taskID=913611
Comment 5 Fedora Update System 2008-11-12 22:37:01 EST
libpng10-1.0.41-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-11-12 22:37:54 EST
libpng10-1.0.41-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Paul Howarth 2008-11-13 08:50:53 EST
I believe all currently-supported releases have fixes for this (libpng10 and libpng) in the stable updates repos now.
Comment 8 Paul Howarth 2008-11-13 08:53:29 EST
(In reply to comment #7)
> I believe all currently-supported releases have fixes for this (libpng10 and
> libpng) in the stable updates repos now.

Currently-supported Fedora releases I mean...
Comment 15 Jan Lieskovsky 2009-02-21 06:17:31 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-6218 to
the following vulnerability:

Memory leak in the png_handle_tEXt function in pngrutil.c in libpng
before 1.2.33 rc02 and 1.4.0 beta36 allows context-dependent attackers
to cause a denial of service (memory exhaustion) via a crafted PNG
file.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-6218
http://sourceforge.net/project/shownotes.php?release_id=635463&group_id=5624
http://sourceforge.net/project/shownotes.php?release_id=635837
http://www.securityfocus.com/bid/31920
http://www.frsirt.com/english/advisories/2008/2917
http://www.securitytracker.com/id?1021104
http://secunia.com/advisories/32418
http://xforce.iss.net/xforce/xfdb/46115
Comment 16 Josh Bressers 2009-06-03 11:28:29 EDT
It should be noted that Red Hat is not considering this flaw to be a security issue.

None of the applications that use this library are at any risk of causing a denial-of-service in a meaningful way.

Client applications are required to reload a bad image multiple times in order to trigger this flaw, we do not consider a crash of a user application to be a security flaw.

None of the services that use libpng do so in a long running manner. Our investigation showed that services tend to fork off short lived children to handle these functions, which would not affect the parent process if there was indeed a memory leak.
Comment 17 Vincent Danen 2010-11-04 23:02:20 EDT
Statement:

We do not consider a crash of a client application linked to libpng to be a security issue.  None of the applications that use libpng are at any risk of causing a denial of service in a meaningful way.

Note You need to log in before you can comment on or make changes to this bug.